## org.eclipse.emf.edit.provider
Interface IItemFontProvider

All Known Implementing Classes:
  AdapterFactoryItemDelegator, DelegatingWrapperItemProvider, FeatureMapEntryWrapperItemProvider, ItemPropertyDescriptor.ItemDelegator, ItemProvider

    public interface IItemFontProvider

This is the interface implemented to provide a color for an item; it receives delegated calls from IFontProvider. Fonts are expressed in a platform-independent way as a URI of the form:

      font://<font-family>/<size>/<style>

If the authority is omitted, the viewer's current font family is specified. If the height, which is specified in points, is omitted, the viewer's current font height is specified; a size delta can be expressed as using + or - with the size, e.g., +2 specifies a point height two points larger than the viewer's current font height. The style can specify `"normal"`, `"bold"`, `"italic"`, or `"bold+italic"` variations; when omitted, the viewer's current font style is specified.

Field Summary
`static URI` `BOLD_FONT` An instance object used to specify a bold version of the viewer's font: font:////bold
`static URI` `BOLD_ITALIC_FONT` An instance object used to specify an bold italic version of the viwer's font: font:////bold+italic
`static URI` `ITALIC_FONT` An instance object used to specify an italic version of the viwer's font: font:////italic
`static URI` `NORMAL_FONT` An instance object used to specify a normal version of the viewer's font: font:////normal

Method Summary
`java.lang.Object` `getFont(java.lang.Object object)` This does the same thing as IFontProvider.getFont, it fetches the font specific to this object instance.

Field Detail

### NORMAL_FONT

    static final URI NORMAL_FONT

  An instance object used to specify a normal version of the viewer's font:

        font:////normal

### BOLD_FONT

    static final URI BOLD_FONT

  An instance object used to specify a bold version of the viewer's font:

        font:////bold

### ITALIC_FONT

    static final URI ITALIC_FONT

  An instance object used to specify an italic version of the viwer's font:

        font:////italic

### BOLD_ITALIC_FONT

    static final URI BOLD_ITALIC_FONT

  An instance object used to specify an bold italic version of the viwer's font:

        font:////bold+italic

Method Detail

### getFont

    java.lang.Object getFont(java.lang.Object object)

  This does the same thing as IFontProvider.getFont, it fetches the font specific to this object instance.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.